#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "ARMv732NEON"
#define ATL_INSTFLAGS "-1 0 -a 1 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_ARMv7 -DATL_NEON -DATL_GAS_ARM"
#define ATL_DKCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-schedule-insns2 -DATL_ARM_HARDFP=1 -g -fstack-protector-strong -Wa,--noexecstack -fPIC"
#define ATL_DKC "/usr/bin/gcc"
#define ATL_SKCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-expensive-optimizations -DATL_ARM_HARDFP=1 -g -fstack-protector-strong -Wa,--noexecstack -fPIC"
#define ATL_SKC "/usr/bin/gcc"
#define ATL_DMCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-schedule-insns2 -DATL_ARM_HARDFP=1 -g -fstack-protector-strong -Wa,--noexecstack -fPIC"
#define ATL_DMC "/usr/bin/gcc"
#define ATL_SMCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-expensive-optimizations -DATL_ARM_HARDFP=1 -g -fstack-protector-strong -Wa,--noexecstack -fPIC"
#define ATL_SMC "/usr/bin/gcc"
#define ATL_ICCFLAGS "-DL2SIZE=4194304 -I/builddir/build/BUILD/ATLAS/arm_base/include -I/builddir/build/BUILD/ATLAS/arm_base/..//include -I/builddir/build/BUILD/ATLAS/arm_base/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_ARMv7 -DATL_NEON -DATL_GAS_ARM -DWALL -DATL_FULL_LAPACK -DATL_NCPU=2 -O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-expensive-optimizations -DATL_ARM_HARDFP=1 -g -fstack-protector-strong -Wa,--noexecstack -fPIC"
#define ATL_ICC "/usr/bin/gcc"
#define ATL_F77FLAGS "-mcpu=cortex-a8 -mfpu=neon -mfloat-abi=hard -O -DATL_ARM_HARDFP=1 -g -fstack-protector-strong -Wa,--noexecstack -fPIC -frecursive"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-16)"
#define ATL_SKCVERS "gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-16)"
#define ATL_DMCVERS "gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-16)"
#define ATL_SMCVERS "gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-16)"
#define ATL_ICCVERS "gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-16)"
#define ATL_F77VERS "GNU Fortran (GCC) 4.8.5 20150623 (Red Hat 4.8.5-16)"
#define ATL_SYSINFO "Linux armhfp_01.bsys.centos.org 4.9.50-203.el7.armv7hl+lpae #1 SMP Thu Sep 14 06:57:42 UTC 2017 armv7l armv7l armv7l GNU/Linux"
#define ATL_DATE    "Mon Feb 19 09:56:01 UTC 2018"
#define ATL_UNAM    "mockbuild"
#define ATL_VERS    "3.10.1"

#endif
